@import "libs/shared/assets/src/global-style/variable";

.submit {
    background: $bg-select-model;
}

.submit-button {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin: 20px;
    width: 100%;
    background: $bg-select-model;
}

.upload {
    border: 1px dashed $bg-select-model;
    margin-left: 24px;
    margin-right: 24px;
    &__title-left {
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 140%;
        color: #141ed2;
    }

    &__button {
        display: flex;
        justify-content: space-around;
        column-gap: 16px;
        padding-bottom: 16px;
        &__cancel {
            width: 175px;
            height: 40px;
            background: #ffffff;
            border: 1px solid #e8eaf6;
            border-radius: 8px;
            color: #141ed2;
        }

        &__import {
            width: 175px;
            height: 40px;
            background: #141ed2;
            border-radius: 8px;
        }
    }

    &__title-right {
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 140%;
        color: #000000;
    }
}

.main {
    background: $bg-select-model;
    &__left {
        margin-top: 16px;
        background: $bg-select-model-form;
        border-radius: 8px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        margin-left: 24px;
        padding-bottom: 16px;
    }

    &__right {
        margin-top: 16px;
        &--content {
            background: $bg-select-model-form;
            margin-right: 24px;
            border-radius: 8px;
            padding-bottom: 16px;
        }
    }

    &__form {
        margin: 0px 24px;
        border-radius: 8px;
        background: $bg-select-model-form;
        &--input {
            padding: 16px;
        }
    }

    ::ng-deep {
        .input__employee-code {
            width: 100%;
            margin-left: 0px;
        }
    }
}

.jd-table__avatar {
    color: white;
    background-color: #141ed2;
    margin-right: 8px;
    ::ng-deep {
        .ant-avatar-string {
            transform: scale(1) translateX(-50%) !important;
        }
    }
}

.object__search-em {
    width: 100%;
    &--button-end {
        display: flex;
        justify-content: flex-end;
    }
    &--select {
        display: flex;
        align-items: flex-start;
    }
    &--input {
        height: 40px;
        background: $bg-gray-input;
        border-radius: 8px;
    }
    &--action {
        &__button-up {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 40px;
            background: $bg-primary-default;
            border-radius: 8px;
        }

        &__button-dow {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 40px;
            background: $bg-select-model-form;
            border: 1px solid #e8eaf6;
            color: $bg-primary-default;
            border-radius: 8px;
        }
        display: flex;
        justify-content: flex-end;
    }
}

.infinite-container {
    height: 30vh;
    border: 1px solid #e8e8e8;
    border-radius: 4px;
}

.flex {
    display: flex;
    justify-content: center;
}

.title {
    font-style: normal;
    letter-spacing: 0.15px;
    color: #000000;
    font-weight: bold;
    font-size: 16px;
    line-height: 120%;
}

.padding-row {
    padding-top: 16px;
}
